<?php

namespace Limb_Chatbot\Includes\Interfaces;

use Limb_Chatbot\Includes\Data_Objects\Widget;
use Limb_Chatbot\Includes\Widgets\Data\Widget_Config_Interface;

interface Widget_Callback_Interface {
	public function execute_callback( Widget $widget, $params ): array;

	public function sanitize_and_validate_params( array $params, Widget_Config_Interface $config_handler ): array;
}